Date: Tue, 12 Nov 2002 12:20:44 -0600 From: Glenn Johnson <glennpj@charter.net> To: Adam Weinberger <adamw@FreeBSD.ORG> Cc: Sean McNeil <sean@mcneil.com>, gnome@FreeBSD.ORG Subject: Re: soup build failure Message-ID: <20021112182043.GA56198@gforce.johnson.home> In-Reply-To: <20021112162953.GF35297@vectors.cx> References: <1037110507.76916.1.camel@blue.mcneil.com> <20021112162953.GF35297@vectors.cx>
index | next in thread | previous in thread | raw e-mail
[-- Attachment #1 --]
On Tue, Nov 12, 2002 at 08:29:53AM -0800, Adam Weinberger wrote:
> I'd like to see your config.status and config.log, unless somebody
> already knows what's up.
I am attaching mine.
--
Glenn Johnson
glennpj@charter.net
[-- Attachment #2 --]
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by configure, which was
generated by GNU Autoconf 2.52. Invocation command line was
$ ./configure --with-html-dir=/usr/local/share/doc --prefix=/usr/local i386-portbld-freebsd4.7
## ---------- ##
## Platform. ##
## ---------- ##
hostname = gforce.johnson.home
uname -m = i386
uname -r = 4.7-STABLE
uname -s = FreeBSD
uname -v = FreeBSD 4.7-STABLE #36: Tue Nov 12 00:17:26 CST 2002 root@gforce.johnson.home:/usr/obj/usr/src/sys/GFORCE
/usr/bin/uname -p = i386
/bin/uname -X = unknown
/bin/arch = unknown
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown
PATH = /usr/local/sbin:/usr/local/bin:/usr/X11R6/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games::/home/glenn/bin
## ------------ ##
## Core tests. ##
## ------------ ##
configure:1111: PATH=".;."; conftest.sh
conftest.sh: not found
configure:1114: $? = 127
configure:1170: checking for a BSD compatible install
configure:1219: result: /usr/bin/install -c -o root -g wheel
configure:1230: checking whether build environment is sane
configure:1273: result: yes
configure:1288: checking whether make sets ${MAKE}
configure:1308: result: yes
configure:1336: checking for working aclocal
configure:1343: result: found
configure:1351: checking for working autoconf
configure:1358: result: found
configure:1366: checking for working automake
configure:1373: result: found
configure:1381: checking for working autoheader
configure:1388: result: found
configure:1396: checking for working makeinfo
configure:1403: result: found
configure:1415: checking whether to enable maintainer-specific portions of Makefiles
configure:1424: result: no
configure:1436: checking whether make sets ${MAKE}
configure:1456: result: yes
configure:1494: checking for i386-portbld-freebsd4.7-gcc
configure:1517: result: cc
configure:1780: checking for C compiler version
configure:1783: cc --version </dev/null >&5
2.95.4
configure:1786: $? = 0
configure:1788: cc -v </dev/null >&5
Using builtin specs.
gcc version 2.95.4 20020320 [FreeBSD]
configure:1791: $? = 0
configure:1793: cc -V </dev/null >&5
cc: argument to `-V' is missing
configure:1796: $? = 1
configure:1816: checking for C compiler default output
configure:1819: cc -O -pipe -march=k6 -I/usr/local/include conftest.c -L/usr/local/lib >&5
configure:1822: $? = 0
configure:1851: result: a.out
configure:1856: checking whether the C compiler works
configure:1862: ./a.out
configure:1865: $? = 0
configure:1880: result: yes
configure:1887: checking whether we are cross compiling
configure:1889: result: no
configure:1892: checking for executable suffix
configure:1894: cc -o conftest -O -pipe -march=k6 -I/usr/local/include conftest.c -L/usr/local/lib >&5
configure:1897: $? = 0
configure:1919: result:
configure:1925: checking for object suffix
configure:1943: cc -c -O -pipe -march=k6 -I/usr/local/include conftest.c >&5
configure:1946: $? = 0
configure:1965: result: o
configure:1969: checking whether we are using the GNU C compiler
configure:1990: cc -c -O -pipe -march=k6 -I/usr/local/include conftest.c >&5
configure:1993: $? = 0
configure:1996: test -s conftest.o
configure:1999: $? = 0
configure:2011: result: yes
configure:2017: checking whether cc accepts -g
configure:2035: cc -c -g -I/usr/local/include conftest.c >&5
configure:2038: $? = 0
configure:2041: test -s conftest.o
configure:2044: $? = 0
configure:2054: result: yes
configure:2081: cc -c -O -pipe -march=k6 -I/usr/local/include conftest.c >&5
conftest.c:2: syntax error before `me'
configure:2084: $? = 1
configure: failed program was:
#ifndef __cplusplus
choke me
#endif
configure:2182: checking for cc option to accept ANSI C
configure:2241: cc -c -O -pipe -march=k6 -I/usr/local/include conftest.c >&5
configure:2244: $? = 0
configure:2247: test -s conftest.o
configure:2250: $? = 0
configure:2264: result: none needed
configure:2287: checking for a BSD compatible install
configure:2336: result: /usr/bin/install -c -o root -g wheel
configure:2353: checking how to run the C preprocessor
configure:2379: cc -E -I/usr/local/include conftest.c
configure:2385: $? = 0
configure:2412: cc -E -I/usr/local/include conftest.c
configure:2409: ac_nonexistent.h: No such file or directory
configure:2418: $? = 1
configure: failed program was:
#line 2408 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
configure:2455: result: cc -E
configure:2470: cc -E -I/usr/local/include conftest.c
configure:2476: $? = 0
configure:2503: cc -E -I/usr/local/include conftest.c
configure:2500: ac_nonexistent.h: No such file or directory
configure:2509: $? = 1
configure: failed program was:
#line 2499 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
configure:2548: checking for ANSI C header files
configure:2562: cc -E -I/usr/local/include conftest.c
configure:2568: $? = 0
configure:2655: cc -o conftest -O -pipe -march=k6 -I/usr/local/include conftest.c -L/usr/local/lib >&5
configure:2658: $? = 0
configure:2660: ./conftest
configure:2663: $? = 0
configure:2676: result: yes
configure:2759: checking build system type
configure:2777: result: i386-portbld-freebsd4.7
configure:2784: checking host system type
configure:2798: result: i386-portbld-freebsd4.7
configure:2815: checking for ld used by GCC
configure:2878: result: /usr/libexec/elf/ld
configure:2887: checking if the linker (/usr/libexec/elf/ld) is GNU ld
GNU ld version 2.12.1 [FreeBSD] 2002-07-20
configure:2899: result: yes
configure:2903: checking for /usr/libexec/elf/ld option to reload object files
configure:2910: result: -r
configure:2915: checking for BSD-compatible nm
configure:2951: result: nm
configure:2954: checking whether ln -s works
configure:2958: result: yes
configure:2965: checking how to recognise dependant libraries
configure:3133: result: pass_all
configure:3139: checking command to parse nm output
configure:3216: cc -c -O -pipe -march=k6 -I/usr/local/include conftest.c >&5
configure:3219: $? = 0
configure:3223: nm conftest.o \| sed -n -e 's/^.*[ ]\([ABCDGISTW][ABCDGISTW]*\)[ ][ ]*\(\)\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2\3 \3/p' \> conftest.nm
configure:3226: $? = 0
configure:3278: cc -o conftest -O -pipe -march=k6 -I/usr/local/include conftest.c conftstm.o >&5
configure:3281: $? = 0
configure:3322: result: ok
configure:3329: checking for dlfcn.h
configure:3339: cc -E -I/usr/local/include conftest.c
configure:3345: $? = 0
configure:3364: result: yes
configure:3516: checking for i386-portbld-freebsd4.7-ranlib
configure:3542: result: no
configure:3551: checking for ranlib
configure:3566: found /usr/bin/ranlib
configure:3575: result: ranlib
configure:3590: checking for i386-portbld-freebsd4.7-strip
configure:3616: result: no
configure:3625: checking for strip
configure:3640: found /usr/bin/strip
configure:3649: result: strip
configure:3844: checking for objdir
configure:3855: result: .libs
configure:3870: checking for cc option to produce PIC
configure:4020: result: -fPIC
configure:4024: checking if cc PIC flag -fPIC works
configure:4044: cc -c -O -pipe -march=k6 -fPIC -DPIC -I/usr/local/include conftest.c >&5
configure:4047: $? = 0
configure:4050: test -s conftest.o
configure:4053: $? = 0
configure:4089: result: yes
configure:4105: checking if cc static flag -static works
configure:4126: cc -o conftest -O -pipe -march=k6 -I/usr/local/include -static conftest.c -L/usr/local/lib >&5
configure:4129: $? = 0
configure:4132: test -s conftest
configure:4135: $? = 0
configure:4149: result: yes
configure:4160: checking if cc supports -c -o file.o
configure:4180: cc -c -O -pipe -march=k6 -o out/conftest2.o -I/usr/local/include conftest.c >&5
configure:4204: result: yes
configure:4209: checking if cc supports -c -o file.lo
configure:4231: cc -c -O -pipe -march=k6 -c -o conftest.lo -I/usr/local/include conftest.c >&5
configure:4234: $? = 0
configure:4237: test -s conftest.o
configure:4240: $? = 1
configure: failed program was:
#line 4219 "configure"
#include "confdefs.h"
int
main ()
{
int some_variable = 0;
;
return 0;
}
configure:4260: result: no
configure:4291: checking if cc supports -fno-rtti -fno-exceptions
configure:4310: cc -c -O -pipe -march=k6 -fno-rtti -fno-exceptions -c conftest.c -I/usr/local/include conftest.c >&5
configure:4313: $? = 0
configure:4316: test -s conftest.o
configure:4319: $? = 0
configure:4335: result: yes
configure:4346: checking whether the linker (/usr/libexec/elf/ld) supports shared libraries
configure:4958: result: yes
configure:4963: checking how to hardcode library paths into programs
configure:4987: result: immediate
configure:4992: checking whether stripping libraries is possible
configure:4997: result: yes
configure:5008: checking dynamic linker characteristics
configure:5390: result: freebsd4.7 ld.so
configure:5395: checking if libtool supports shared libraries
configure:5397: result: yes
configure:5961: checking whether -lc should be explicitly linked in
configure:5969: cc -c -O -pipe -march=k6 -I/usr/local/include conftest.c >&5
configure:5972: $? = 0
configure:5986: cc -shared conftest.o -v -Wl,-soname -Wl,conftest -o conftest 2\>\&1 \| grep -lc \>/dev/null 2\>\&1
configure:5989: $? = 1
configure:6002: result: yes
configure:6566: checking for working alloca.h
configure:6584: cc -o conftest -O -pipe -march=k6 -I/usr/local/include conftest.c -L/usr/local/lib >&5
configure:6573: alloca.h: No such file or directory
configure:6587: $? = 1
configure: failed program was:
#line 6572 "configure"
#include "confdefs.h"
#include <alloca.h>
int
main ()
{
char *p = (char *) alloca (2 * sizeof (int));
;
return 0;
}
configure:6603: result: no
configure:6613: checking for alloca
configure:6651: cc -o conftest -O -pipe -march=k6 -I/usr/local/include conftest.c -L/usr/local/lib >&5
configure:6654: $? = 0
configure:6657: test -s conftest
configure:6660: $? = 0
configure:6670: result: yes
configure:6851: checking whether to build against glib 2.0
configure:6860: result: no
configure:7220: checking for glib-config
configure:7249: result: /usr/local/bin/glib12-config
configure:7257: checking for GLIB - version >= 1.2.0
configure:7358: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 -I/usr/local/include conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:7361: $? = 0
configure:7363: ./conftest
configure:7366: $? = 0
configure:7382: result: yes
configure:7486: checking for xml-config
configure:7515: result: /usr/local/bin/xml-config
configure:7615: checking for poptGetContext in -lpopt
configure:7642: cc -o conftest -O -pipe -march=k6 -I/usr/local/include conftest.c -lpopt -L/usr/local/lib -L/usr/lib >&5
configure:7645: $? = 0
configure:7648: test -s conftest
configure:7651: $? = 0
configure:7662: result: yes
configure:7675: checking for popt.h
configure:7685: cc -E -I/usr/local/include conftest.c
configure:7691: $? = 0
configure:7710: result: yes
configure:7745: checking for unistd.h
configure:7755: cc -E -I/usr/local/include conftest.c
configure:7761: $? = 0
configure:7780: result: yes
configure:7793: checking for netinet/in.h
configure:7803: cc -E -I/usr/local/include conftest.c
configure:7809: $? = 0
configure:7828: result: yes
configure:7793: checking for netinet/tcp.h
configure:7803: cc -E -I/usr/local/include conftest.c
configure:7809: $? = 0
configure:7828: result: yes
configure:7841: checking for sys/socket.h
configure:7851: cc -E -I/usr/local/include conftest.c
configure:7857: $? = 0
configure:7876: result: yes
configure:7841: checking for sys/sockio.h
configure:7851: cc -E -I/usr/local/include conftest.c
configure:7857: $? = 0
configure:7876: result: yes
configure:7841: checking for sys/poll.h
configure:7851: cc -E -I/usr/local/include conftest.c
configure:7857: $? = 0
configure:7876: result: yes
configure:7841: checking for sys/param.h
configure:7851: cc -E -I/usr/local/include conftest.c
configure:7857: $? = 0
configure:7876: result: yes
configure:7841: checking for sys/wait.h
configure:7851: cc -E -I/usr/local/include conftest.c
configure:7857: $? = 0
configure:7876: result: yes
configure:7889: checking for sys/ioctl.h
configure:7899: cc -E -I/usr/local/include conftest.c
configure:7905: $? = 0
configure:7924: result: yes
configure:7889: checking for sys/filio.h
configure:7899: cc -E -I/usr/local/include conftest.c
configure:7905: $? = 0
configure:7924: result: yes
configure:7934: checking for socket
configure:7971: cc -o conftest -O -pipe -march=k6 -I/usr/local/include conftest.c -L/usr/local/lib >&5
configure:7974: $? = 0
configure:7977: test -s conftest
configure:7980: $? = 0
configure:7990: result: yes
configure:8056: checking for gethostbyname
configure:8093: cc -o conftest -O -pipe -march=k6 -I/usr/local/include conftest.c -L/usr/local/lib >&5
configure:8096: $? = 0
configure:8099: test -s conftest
configure:8102: $? = 0
configure:8112: result: yes
configure:8181: checking for inet_pton
configure:8218: cc -o conftest -O -pipe -march=k6 -I/usr/local/include conftest.c -L/usr/local/lib >&5
configure:8221: $? = 0
configure:8224: test -s conftest
configure:8227: $? = 0
configure:8237: result: yes
configure:8181: checking for inet_aton
configure:8218: cc -o conftest -O -pipe -march=k6 -I/usr/local/include conftest.c -L/usr/local/lib >&5
configure:8221: $? = 0
configure:8224: test -s conftest
configure:8227: $? = 0
configure:8237: result: yes
configure:8248: checking for gethostbyname_r
configure:8285: cc -o conftest -O -pipe -march=k6 -I/usr/local/include conftest.c -L/usr/local/lib >&5
/tmp/cc0sPvev.o: In function `main':
/tmp/cc0sPvev.o(.text+0x9): undefined reference to `gethostbyname_r'
configure:8288: $? = 1
configure: failed program was:
#line 8254 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char gethostbyname_r (); below. */
#include <assert.h>
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char gethostbyname_r ();
char (*f) ();
int
main ()
{
/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
something starting with __ and the normal name is an alias. */
#if defined (__stub_gethostbyname_r) || defined (__stub___gethostbyname_r)
choke me
#else
f = gethostbyname_r;
#endif
;
return 0;
}
configure:8304: result: no
configure:8509: checking for glib-config
configure:8538: result: /usr/local/bin/glib12-config
configure:8546: checking for GLIB - version >= 1.2.0
configure:8647: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 -I/usr/local/include conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:8650: $? = 0
configure:8652: ./conftest
configure:8655: $? = 0
configure:8671: result: yes
configure:8847: checking for dlopen in -ldl
configure:8874: cc -o conftest -O -pipe -march=k6 -I/usr/local/include conftest.c -ldl -L/usr/local/lib >&5
/usr/libexec/elf/ld: cannot find -ldl
configure:8877: $? = 1
configure: failed program was:
#line 8855 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char dlopen ();
int
main ()
{
dlopen ();
;
return 0;
}
configure:8894: result: no
configure:8905: checking for openssl/ssl.h
configure:8915: cc -E -I/usr/local/include conftest.c
configure:8921: $? = 0
configure:8940: result: yes
configure:8905: checking for openssl/err.h
configure:8915: cc -E -I/usr/local/include conftest.c
configure:8921: $? = 0
configure:8940: result: yes
configure:8979: checking for nss.h
configure:8989: cc -E -I/usr/local/include conftest.c
configure:8986: nss.h: No such file or directory
configure:8995: $? = 1
configure: failed program was:
#line 8985 "configure"
#include "confdefs.h"
#include <nss.h>
configure:9014: result: no
configure:9049: checking for apxs
configure:9066: found /usr/local/sbin/apxs
configure:9078: result: /usr/local/sbin/apxs
configure:9095: checking for httpd.h
configure:9105: cc -E -I/usr/local/include/apache2;;-O -pipe -march=k6 -DNO_IDEA conftest.c
configure:9102: httpd.h: No such file or directory
configure:9111: $? = 1
configure: failed program was:
#line 9101 "configure"
#include "confdefs.h"
#include <httpd.h>
configure:9130: result: no
configure:9161: checking for gtkdoc-mkdb
configure:9185: result: false
configure:9202: checking for db2html
configure:9226: result: false
configure:9267: checking alignment of gboolean
configure:9294: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:9297: $? = 0
configure:9299: ./conftest
configure:9302: $? = 0
configure:9314: result: 4
configure:9321: checking alignment of gchar
configure:9348: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:9351: $? = 0
configure:9353: ./conftest
configure:9356: $? = 0
configure:9368: result: 1
configure:9375: checking alignment of guchar
configure:9402: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:9405: $? = 0
configure:9407: ./conftest
configure:9410: $? = 0
configure:9422: result: 1
configure:9429: checking alignment of gint
configure:9456: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:9459: $? = 0
configure:9461: ./conftest
configure:9464: $? = 0
configure:9476: result: 4
configure:9483: checking alignment of guint
configure:9510: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:9513: $? = 0
configure:9515: ./conftest
configure:9518: $? = 0
configure:9530: result: 4
configure:9537: checking alignment of gshort
configure:9564: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:9567: $? = 0
configure:9569: ./conftest
configure:9572: $? = 0
configure:9584: result: 2
configure:9591: checking alignment of gushort
configure:9618: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:9621: $? = 0
configure:9623: ./conftest
configure:9626: $? = 0
configure:9638: result: 2
configure:9645: checking alignment of glong
configure:9672: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:9675: $? = 0
configure:9677: ./conftest
configure:9680: $? = 0
configure:9692: result: 4
configure:9699: checking alignment of gulong
configure:9726: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:9729: $? = 0
configure:9731: ./conftest
configure:9734: $? = 0
configure:9746: result: 4
configure:9753: checking alignment of gint8
configure:9780: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:9783: $? = 0
configure:9785: ./conftest
configure:9788: $? = 0
configure:9800: result: 1
configure:9807: checking alignment of guint8
configure:9834: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:9837: $? = 0
configure:9839: ./conftest
configure:9842: $? = 0
configure:9854: result: 1
configure:9861: checking alignment of gint16
configure:9888: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:9891: $? = 0
configure:9893: ./conftest
configure:9896: $? = 0
configure:9908: result: 2
configure:9915: checking alignment of guint16
configure:9942: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:9945: $? = 0
configure:9947: ./conftest
configure:9950: $? = 0
configure:9962: result: 2
configure:9969: checking alignment of gint32
configure:9996: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:9999: $? = 0
configure:10001: ./conftest
configure:10004: $? = 0
configure:10016: result: 4
configure:10023: checking alignment of guint32
configure:10050: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:10053: $? = 0
configure:10055: ./conftest
configure:10058: $? = 0
configure:10070: result: 4
configure:10077: checking alignment of gfloat
configure:10104: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:10107: $? = 0
configure:10109: ./conftest
configure:10112: $? = 0
configure:10124: result: 4
configure:10131: checking alignment of gdouble
configure:10158: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:10161: $? = 0
configure:10163: ./conftest
configure:10166: $? = 0
configure:10178: result: 4
configure:10185: checking alignment of gpointer
configure:10212: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:10215: $? = 0
configure:10217: ./conftest
configure:10220: $? = 0
configure:10232: result: 4
configure:10239: checking alignment of gstruct
configure:10266: cc -o conftest -O -pipe -march=k6 -I/usr/local/include/glib12 conftest.c -L/usr/local/lib -lglib12 -L/usr/local/lib >&5
configure:10269: $? = 0
configure:10271: ./conftest
configure:10274: $? = 0
configure:10286: result: 1
configure:10390: creating ./config.status
## ----------------------- ##
## Running config.status. ##
## ----------------------- ##
This file was extended by config.status 2.52, executed with
CONFIG_FILES =
CONFIG_HEADERS =
CONFIG_LINKS =
CONFIG_COMMANDS =
> ./config.status
on gforce.johnson.home
config.status:10921: creating soup-config
config.status:10921: creating soup.pc
config.status:10921: creating soup.spec
config.status:10921: creating Makefile
config.status:10921: creating docs/Makefile
config.status:10921: creating docs/reference/Makefile
config.status:10921: creating src/Makefile
config.status:10921: creating src/libsoup/Makefile
config.status:10921: creating src/libsoup-apache/Makefile
config.status:10921: creating src/libwsdl/Makefile
config.status:10921: creating src/soup-httpd/Makefile
config.status:10921: creating src/soup-ssl-proxy/Makefile
config.status:10921: creating src/soup-wsdl/Makefile
config.status:11013: creating config.h
## ----------------- ##
## Cache variables. ##
## ----------------- ##
ac_cv_header_netinet_in_h=yes
ac_cv_alignof_gboolean=4
lt_cv_file_magic_cmd='$MAGIC_CMD'
ac_cv_alignof_guint8=1
ac_cv_alignof_gint8=1
ac_cv_prog_cc_g=yes
ac_cv_env_LDFLAGS_set=
lt_cv_prog_cc_can_build_shared=yes
ac_cv_c_compiler_gnu=yes
ac_cv_env_CFLAGS_set=set
ac_cv_header_popt_h=yes
ac_cv_header_sys_wait_h=yes
ac_cv_env_CPP_value=
ac_cv_env_CPPFLAGS_set=set
ac_cv_alignof_guint32=4
ac_cv_alignof_gint32=4
ac_cv_alignof_gulong=4
ac_cv_alignof_glong=4
ac_cv_header_openssl_err_h=yes
lt_cv_prog_cc_static_works=yes
lt_cv_prog_cc_no_builtin=
ac_cv_func_inet_aton=yes
ac_cv_func_socket=yes
ac_cv_header_sys_poll_h=yes
lt_cv_prog_cc_shlib=
ac_cv_alignof_guint16=2
ac_cv_alignof_gint16=2
ac_cv_header_nss_h=no
lt_cv_prog_cc_static=-static
ac_cv_env_host_alias_set=set
ac_cv_prog_GTKDOC=false
lt_cv_ld_reload_flag=-r
ac_cv_working_alloca_h=no
ac_cv_prog_CC=cc
lt_cv_sys_path_separator=:
lt_cv_archive_cmds_need_lc=yes
lt_cv_prog_gnu_ld=yes
ac_cv_env_build_alias_set=set
ac_cv_alignof_gdouble=4
ac_cv_env_LDFLAGS_value=
ac_cv_env_target_alias_set=set
ac_cv_header_openssl_ssl_h=yes
ac_cv_func_alloca_works=yes
ac_cv_host_alias=i386-portbld-freebsd4.7
ac_cv_env_CFLAGS_value='-O -pipe -march=k6'
ac_cv_env_CC_set=set
ac_cv_path_XML_CONFIG=/usr/local/bin/xml-config
lt_cv_prog_cc_wl=-Wl,
ac_cv_header_stdc=yes
ac_cv_alignof_gstruct=1
ac_cv_alignof_gushort=2
ac_cv_alignof_gshort=2
ac_cv_prog_make_make_set=yes
ac_cv_prog_DB2HTML=false
ac_cv_func_gethostbyname=yes
ac_cv_header_sys_param_h=yes
ac_cv_header_unistd_h=yes
ac_cv_lib_popt_poptGetContext=yes
lt_cv_global_symbol_to_cdecl='sed -n -e '\''s/^. .* \(.*\)$/extern char \1;/p'\'''
lt_cv_path_LD=/usr/libexec/elf/ld
ac_cv_build_alias=i386-portbld-freebsd4.7
ac_cv_env_CPPFLAGS_value=-I/usr/local/include
ac_cv_header_httpd_h=no
ac_cv_header_sys_filio_h=yes
ac_cv_header_sys_sockio_h=yes
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_alignof_guint=4
ac_cv_alignof_gint=4
ac_cv_func_inet_pton=yes
ac_cv_header_sys_socket_h=yes
ac_cv_path_GLIB_CONFIG=/usr/local/bin/glib12-config
ac_cv_prog_ac_ct_STRIP=strip
ac_cv_host=i386-portbld-freebsd4.7
ac_cv_env_host_alias_value=i386-portbld-freebsd4.7
lt_cv_compiler_c_o=yes
lt_cv_prog_cc_pic_works=yes
lt_cv_file_magic_test_file=
am_cv_prog_cc_stdc=
ac_cv_path_APXS=/usr/local/sbin/apxs
ac_cv_build=i386-portbld-freebsd4.7
ac_cv_prog_CPP='cc -E'
ac_cv_env_build_alias_value=i386-portbld-freebsd4.7
ac_cv_alignof_guchar=1
ac_cv_alignof_gchar=1
lt_cv_prog_cc_pic=' -fPIC'
lt_cv_sys_global_symbol_pipe='sed -n -e '\''s/^.*[ ]\([ABCDGISTW][ABCDGISTW]*\)[ ][ ]*\(\)\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2\3 \3/p'\'''
lt_cv_deplibs_check_method=pass_all
lt_cv_compiler_o_lo=no
ac_cv_env_target_alias_value=i386-portbld-freebsd4.7
ac_cv_header_sys_ioctl_h=yes
ac_cv_env_CC_value=cc
ac_cv_alignof_gfloat=4
ac_cv_lib_dl_dlopen=no
ac_cv_header_netinet_tcp_h=yes
lt_cv_path_NM=nm
ac_cv_env_CPP_set=
ac_cv_alignof_gpointer=4
ac_cv_header_dlfcn_h=yes
ac_cv_func_gethostbyname_r=no
ac_cv_objext=o
## ------------ ##
## confdefs.h. ##
## ------------ ##
#define PACKAGE "soup"
#define VERSION "0.7.4"
#define STDC_HEADERS 1
#define HAVE_DLFCN_H 1
#define HAVE_ALLOCA 1
#define HAVE_POPT_H 1
#define HAVE_UNISTD_H 1
#define HAVE_NETINET_IN_H 1
#define HAVE_NETINET_TCP_H 1
#define HAVE_SYS_SOCKET_H 1
#define HAVE_SYS_SOCKIO_H 1
#define HAVE_SYS_POLL_H 1
#define HAVE_SYS_PARAM_H 1
#define HAVE_SYS_WAIT_H 1
#define HAVE_SYS_IOCTL_H 1
#define HAVE_SYS_FILIO_H 1
#define HAVE_INET_PTON 1
#define HAVE_INET_ATON 1
#define HAVE_GETHOSTBYNAME_R_GLIB_MUTEX 1
#define SSL_PROXY_NAME "soup-ssl-proxy"
#define HAVE_OPENSSL_SSL_H 1
#define HAVE_OPENSSL_ERR_H 1
#define HAVE_OPENSSL 1
#define ALIGNOF_GBOOLEAN 4
#define ALIGNOF_GCHAR 1
#define ALIGNOF_GUCHAR 1
#define ALIGNOF_GINT 4
#define ALIGNOF_GUINT 4
#define ALIGNOF_GSHORT 2
#define ALIGNOF_GUSHORT 2
#define ALIGNOF_GLONG 4
#define ALIGNOF_GULONG 4
#define ALIGNOF_GINT8 1
#define ALIGNOF_GUINT8 1
#define ALIGNOF_GINT16 2
#define ALIGNOF_GUINT16 2
#define ALIGNOF_GINT32 4
#define ALIGNOF_GUINT32 4
#define ALIGNOF_GFLOAT 4
#define ALIGNOF_GDOUBLE 4
#define ALIGNOF_GPOINTER 4
#define ALIGNOF_GSTRUCT 1
configure: exit 0
[-- Attachment #3 --]
#! /bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# Compiler output produced by configure, useful for debugging
# configure, is in config.log if it exists.
debug=false
SHELL=${CONFIG_SHELL-/bin/sh}
ac_cs_invocation="$0 $@"
# Be Bourne compatible
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
emulate sh
NULLCMD=:
elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
set -o posix
fi
# Name of the executable.
as_me=`echo "$0" |sed 's,.*[\\/],,'`
if expr a : '\(a\)' >/dev/null 2>&1; then
as_expr=expr
else
as_expr=false
fi
rm -f conf$$ conf$$.exe conf$$.file
echo >conf$$.file
if ln -s conf$$.file conf$$ 2>/dev/null; then
# We could just check for DJGPP; but this test a) works b) is more generic
# and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
if test -f conf$$.exe; then
# Don't use ln at all; we don't have any links
as_ln_s='cp -p'
else
as_ln_s='ln -s'
fi
elif ln conf$$.file conf$$ 2>/dev/null; then
as_ln_s=ln
else
as_ln_s='cp -p'
fi
rm -f conf$$ conf$$.exe conf$$.file
as_executable_p="test -f"
# Support unset when possible.
if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
as_unset=unset
else
as_unset=false
fi
# NLS nuisances.
$as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
$as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
$as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export LC_TIME; }
$as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export LC_CTYPE; }
$as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export LANGUAGE; }
$as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; export LC_COLLATE; }
$as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; export LC_NUMERIC; }
$as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; export LC_MESSAGES; }
# IFS
# We need space, tab and new line, in precisely that order.
as_nl='
'
IFS=" $as_nl"
# CDPATH.
$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }
exec 6>&1
config_files=" soup-config soup.pc soup.spec Makefile docs/Makefile docs/reference/Makefile src/Makefile src/libsoup/Makefile src/libsoup-apache/Makefile src/libwsdl/Makefile src/soup-httpd/Makefile src/soup-ssl-proxy/Makefile src/soup-wsdl/Makefile"
config_headers=" config.h"
config_commands=" default-1"
ac_cs_usage="\
\`$as_me' instantiates files from templates according to the
current configuration.
Usage: $0 [OPTIONS] [FILE]...
-h, --help print this help, then exit
-V, --version print version number, then exit
-d, --debug don't remove temporary files
--recheck update $as_me by reconfiguring in the same conditions
--file=FILE[:TEMPLATE]
instantiate the configuration file FILE
--header=FILE[:TEMPLATE]
instantiate the configuration header FILE
Configuration files:
$config_files
Configuration headers:
$config_headers
Configuration commands:
$config_commands
Report bugs to <bug-autoconf@gnu.org>."
ac_cs_version="\
config.status
configured by ./configure, generated by GNU Autoconf 2.52,
with options \"--with-html-dir=/usr/local/share/doc --prefix=/usr/local i386-portbld-freebsd4.7 'CFLAGS=-O -pipe -march=k6' CPPFLAGS=-I/usr/local/include host_alias=i386-portbld-freebsd4.7 build_alias=i386-portbld-freebsd4.7 target_alias=i386-portbld-freebsd4.7 CC=cc\"
Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
Free Software Foundation, Inc.
This config.status script is free software; the Free Software Foundation
gives unlimited permission to copy, distribute and modify it."
srcdir=.
INSTALL="/usr/bin/install -c -o root -g wheel"
# If no file are specified by the user, then we need to provide default
# value. By we need to know if files were specified by the user.
ac_need_defaults=:
while test $# != 0
do
case $1 in
--*=*)
ac_option=`expr "x$1" : 'x\([^=]*\)='`
ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
shift
set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
shift
;;
-*);;
*) # This is not an option, so the user has probably given explicit
# arguments.
ac_need_defaults=false;;
esac
case $1 in
# Handling of the options.
-recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
echo "running /bin/sh ./configure " --with-html-dir=/usr/local/share/doc --prefix=/usr/local i386-portbld-freebsd4.7 'CFLAGS=-O -pipe -march=k6' CPPFLAGS=-I/usr/local/include host_alias=i386-portbld-freebsd4.7 build_alias=i386-portbld-freebsd4.7 target_alias=i386-portbld-freebsd4.7 CC=cc " --no-create --no-recursion"
exec /bin/sh ./configure --with-html-dir=/usr/local/share/doc --prefix=/usr/local i386-portbld-freebsd4.7 'CFLAGS=-O -pipe -march=k6' CPPFLAGS=-I/usr/local/include host_alias=i386-portbld-freebsd4.7 build_alias=i386-portbld-freebsd4.7 target_alias=i386-portbld-freebsd4.7 CC=cc --no-create --no-recursion ;;
--version | --vers* | -V )
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
{ { echo "$as_me:10566: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; };;
--help | --hel | -h )
echo "$ac_cs_usage"; exit 0 ;;
--debug | --d* | -d )
debug=: ;;
--file | --fil | --fi | --f )
shift
CONFIG_FILES="$CONFIG_FILES $1"
ac_need_defaults=false;;
--header | --heade | --head | --hea )
shift
CONFIG_HEADERS="$CONFIG_HEADERS $1"
ac_need_defaults=false;;
# This is an error.
-*) { { echo "$as_me:10585: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; } ;;
*) ac_config_targets="$ac_config_targets $1" ;;
esac
shift
done
exec 5>>config.log
cat >&5 << _ACEOF
## ----------------------- ##
## Running config.status. ##
## ----------------------- ##
This file was extended by $as_me 2.52, executed with
CONFIG_FILES = $CONFIG_FILES
CONFIG_HEADERS = $CONFIG_HEADERS
CONFIG_LINKS = $CONFIG_LINKS
CONFIG_COMMANDS = $CONFIG_COMMANDS
> $ac_cs_invocation
on `(hostname || uname -n) 2>/dev/null | sed 1q`
_ACEOF
#
# INIT-COMMANDS section.
#
for ac_config_target in $ac_config_targets
do
case "$ac_config_target" in
# Handling of arguments.
"soup-config" ) CONFIG_FILES="$CONFIG_FILES soup-config" ;;
"soup.pc" ) CONFIG_FILES="$CONFIG_FILES soup.pc" ;;
"soup.spec" ) CONFIG_FILES="$CONFIG_FILES soup.spec" ;;
"Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
"docs/Makefile" ) CONFIG_FILES="$CONFIG_FILES docs/Makefile" ;;
"docs/reference/Makefile" ) CONFIG_FILES="$CONFIG_FILES docs/reference/Makefile" ;;
"src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
"src/libsoup/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/libsoup/Makefile" ;;
"src/libsoup-apache/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/libsoup-apache/Makefile" ;;
"src/libwsdl/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/libwsdl/Makefile" ;;
"src/soup-httpd/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/soup-httpd/Makefile" ;;
"src/soup-ssl-proxy/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/soup-ssl-proxy/Makefile" ;;
"src/soup-wsdl/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/soup-wsdl/Makefile" ;;
"default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
"config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
*) { { echo "$as_me:10642: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
done
# If the user did not use the arguments to specify the items to instantiate,
# then the envvar interface is used. Set only those that are not.
# We use the long form for the default assignment because of an extremely
# bizarre bug on SunOS 4.1.3.
if $ac_need_defaults; then
test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
fi
# Create a temporary directory, and hook for its removal unless debugging.
$debug ||
{
trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
trap '{ (exit 1); exit 1; }' 1 2 13 15
}
# Create a (secure) tmp directory for tmp files.
: ${TMPDIR=/tmp}
{
tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
test -n "$tmp" && test -d "$tmp"
} ||
{
tmp=$TMPDIR/cs$$-$RANDOM
(umask 077 && mkdir $tmp)
} ||
{
echo "$me: cannot create a temporary directory in $TMPDIR" >&2
{ (exit 1); exit 1; }
}
#
# CONFIG_FILES section.
#
# No need to generate the scripts if there are no CONFIG_FILES.
# This happens for instance when ./config.status config.h
if test -n "$CONFIG_FILES"; then
# Protect against being on the right side of a sed subst in config.status.
sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
s,@SHELL@,/bin/sh,;t t
s,@exec_prefix@,${prefix},;t t
s,@prefix@,/usr/local,;t t
s,@program_transform_name@,s,x,x,,;t t
s,@bindir@,${exec_prefix}/bin,;t t
s,@sbindir@,${exec_prefix}/sbin,;t t
s,@libexecdir@,${exec_prefix}/libexec,;t t
s,@datadir@,${prefix}/share,;t t
s,@sysconfdir@,${prefix}/etc,;t t
s,@sharedstatedir@,${prefix}/com,;t t
s,@localstatedir@,${prefix}/var,;t t
s,@libdir@,${exec_prefix}/lib,;t t
s,@includedir@,${prefix}/include,;t t
s,@oldincludedir@,/usr/include,;t t
s,@infodir@,${prefix}/info,;t t
s,@mandir@,${prefix}/man,;t t
s,@PACKAGE_NAME@,,;t t
s,@PACKAGE_TARNAME@,,;t t
s,@PACKAGE_VERSION@,,;t t
s,@PACKAGE_STRING@,,;t t
s,@PACKAGE_BUGREPORT@,,;t t
s,@build_alias@,i386-portbld-freebsd4.7,;t t
s,@host_alias@,i386-portbld-freebsd4.7,;t t
s,@target_alias@,i386-portbld-freebsd4.7,;t t
s,@ECHO_C@,,;t t
s,@ECHO_N@,-n,;t t
s,@ECHO_T@,,;t t
s,@PATH_SEPARATOR@,:,;t t
s,@DEFS@,-DHAVE_CONFIG_H,;t t
s,@LIBS@,-L/usr/local/lib,;t t
s,@SOUP_CURRENT@,5,;t t
s,@SOUP_REVISION@,0,;t t
s,@SOUP_AGE@,2,;t t
s,@INSTALL_PROGRAM@,install -c -s -o root -g wheel -m 555,;t t
s,@INSTALL_SCRIPT@,install -c -o root -g wheel -m 555,;t t
s,@INSTALL_DATA@,install -c -o root -g wheel -m 444,;t t
s,@PACKAGE@,soup,;t t
s,@VERSION@,0.7.4,;t t
s,@ACLOCAL@,aclocal,;t t
s,@AUTOCONF@,autoconf,;t t
s,@AUTOMAKE@,automake,;t t
s,@AUTOHEADER@,autoheader,;t t
s,@MAKEINFO@,makeinfo,;t t
s,@SET_MAKE@,,;t t
s,@MAINTAINER_MODE_TRUE@,#,;t t
s,@MAINTAINER_MODE_FALSE@,,;t t
s,@MAINT@,#,;t t
s,@SOUP_DEBUG_FLAGS@,,;t t
s,@CC@,cc,;t t
s,@CFLAGS@,-O -pipe -march=k6 -Wall -Wstrict-prototypes -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -D_REENTRANT,;t t
s,@LDFLAGS@,,;t t
s,@CPPFLAGS@,-I/usr/local/include,;t t
s,@ac_ct_CC@,,;t t
s,@EXEEXT@,,;t t
s,@OBJEXT@,o,;t t
s,@CPP@,cc -E,;t t
s,@build@,i386-portbld-freebsd4.7,;t t
s,@build_cpu@,i386,;t t
s,@build_vendor@,portbld,;t t
s,@build_os@,freebsd4.7,;t t
s,@host@,i386-portbld-freebsd4.7,;t t
s,@host_cpu@,i386,;t t
s,@host_vendor@,portbld,;t t
s,@host_os@,freebsd4.7,;t t
s,@LN_S@,ln -s,;t t
s,@ECHO@,echo,;t t
s,@RANLIB@,ranlib,;t t
s,@ac_ct_RANLIB@,ranlib,;t t
s,@STRIP@,strip,;t t
s,@ac_ct_STRIP@,strip,;t t
s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
s,@ALLOCA@,,;t t
s,@PKG_CONFIG@,,;t t
s,@GLIB_CFLAGS@,-I/usr/local/include/glib12,;t t
s,@GLIB_LIBS@,-L/usr/local/lib -lglib12,;t t
s,@GLIB_GENMARSHAL@,,;t t
s,@GOBJECT_QUERY@,,;t t
s,@GLIB_MKENUMS@,,;t t
s,@SOUP_PKGCONFIG_REQUIRES@,glib,;t t
s,@GLIB_CONFIG@,/usr/local/bin/glib12-config,;t t
s,@GMODULE_LIBS@,-L/usr/local/lib -Wl,-E -lgmodule12 -lglib12,;t t
s,@XML_CONFIG@,/usr/local/bin/xml-config,;t t
s,@XML_CFLAGS@,-I/usr/local/include/gnome-xml,;t t
s,@XML_LIBS@,-L/usr/local/lib -lxml -lz,;t t
s,@POPT_CFLAGS@,-O -pipe -march=k6,;t t
s,@POPT_LIBS@,-L/usr/local/lib -L/usr/lib -lpopt,;t t
s,@SOUP_LIBDIR@,-L${libdir},;t t
s,@SOUP_INCLUDEDIR@, -I${prefix}/include/soup -I/usr/local/include/glib12 -I/usr/local/include/gnome-xml,;t t
s,@SOUP_LIBS@,-lsoup -L/usr/local/lib -lglib12 -L/usr/local/lib -lxml -lz,;t t
s,@SOUP_APACHE_LIBDIR@,-L${libdir},;t t
s,@SOUP_APACHE_INCLUDEDIR@, -I${prefix}/include/soup -I/usr/local/include/glib12 -I/usr/local/include/gnome-xml ,;t t
s,@SOUP_APACHE_LIBS@,-lsoup -L/usr/local/lib -lglib12 -L/usr/local/lib -lxml -lz -lsoup-apache ,;t t
s,@SOUP_WSDL_LIBDIR@,-L${libdir},;t t
s,@SOUP_WSDL_INCLUDEDIR@, -I${prefix}/include/soup -I/usr/local/include/glib12 -I/usr/local/include/gnome-xml,;t t
s,@SOUP_WSDL_LIBS@,-lsoup -L/usr/local/lib -lglib12 -L/usr/local/lib -lxml -lz -lwsdl,;t t
s,@SSL_PROXY_NAME@,soup-ssl-proxy,;t t
s,@OPENSSL_CFLAGS@,-I/usr/local/include ,;t t
s,@OPENSSL_LIBS@,-L/usr/lib -lssl -lcrypto ,;t t
s,@NSS_CFLAGS@,,;t t
s,@NSS_LIBS@,,;t t
s,@APXS@,/usr/local/sbin/apxs,;t t
s,@APACHE_CFLAGS@,-I/usr/local/include/apache2;;-O -pipe -march=k6 -DNO_IDEA,;t t
s,@APACHE_LIBS@,,;t t
s,@HTML_DIR@,/usr/local/share/doc,;t t
s,@GTKDOC@,false,;t t
s,@HAVE_GTK_DOC_TRUE@,#,;t t
s,@HAVE_GTK_DOC_FALSE@,,;t t
s,@HAVE_GTK_DOC@,,;t t
s,@DB2HTML@,false,;t t
s,@HAVE_DOCBOOK_TRUE@,#,;t t
s,@HAVE_DOCBOOK_FALSE@,,;t t
s,@ENABLE_GTK_DOC_TRUE@,#,;t t
s,@ENABLE_GTK_DOC_FALSE@,,;t t
CEOF
# Split the substitutions into bite-sized pieces for seds with
# small command number limits, like on Digital OSF/1 and HP-UX.
ac_max_sed_lines=48
ac_sed_frag=1 # Number of current file.
ac_beg=1 # First line for current file.
ac_end=$ac_max_sed_lines # Line after last line for current file.
ac_more_lines=:
ac_sed_cmds=
while $ac_more_lines; do
if test $ac_beg -gt 1; then
sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
else
sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
fi
if test ! -s $tmp/subs.frag; then
ac_more_lines=false
else
# The purpose of the label and of the branching condition is to
# speed up the sed processing (if there are no `@' at all, there
# is no need to browse any of the substitutions).
# These are the two extra sed commands mentioned above.
(echo ':t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
if test -z "$ac_sed_cmds"; then
ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
else
ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
fi
ac_sed_frag=`expr $ac_sed_frag + 1`
ac_beg=$ac_end
ac_end=`expr $ac_end + $ac_max_sed_lines`
fi
done
if test -z "$ac_sed_cmds"; then
ac_sed_cmds=cat
fi
fi # test -n "$CONFIG_FILES"
for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
# Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
case $ac_file in
- | *:- | *:-:* ) # input from stdin
cat >$tmp/stdin
ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
*:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
* ) ac_file_in=$ac_file.in ;;
esac
# Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
X"$ac_file" : 'X\(//\)[^/]' \| \
X"$ac_file" : 'X\(//\)$' \| \
X"$ac_file" : 'X\(/\)' \| \
. : '\(.\)' 2>/dev/null ||
echo X"$ac_file" |
sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
/^X\(\/\/\)[^/].*/{ s//\1/; q; }
/^X\(\/\/\)$/{ s//\1/; q; }
/^X\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`
if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
{ case "$ac_dir" in
[\\/]* | ?:[\\/]* ) as_incr_dir=;;
*) as_incr_dir=.;;
esac
as_dummy="$ac_dir"
for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
case $as_mkdir_dir in
# Skip DOS drivespec
?:) as_incr_dir=$as_mkdir_dir ;;
*)
as_incr_dir=$as_incr_dir/$as_mkdir_dir
test -d "$as_incr_dir" || mkdir "$as_incr_dir"
;;
esac
done; }
ac_dir_suffix="/`echo $ac_dir|sed 's,^\./,,'`"
# A "../" for each directory in $ac_dir_suffix.
ac_dots=`echo "$ac_dir_suffix" | sed 's,/[^/]*,../,g'`
else
ac_dir_suffix= ac_dots=
fi
case $srcdir in
.) ac_srcdir=.
if test -z "$ac_dots"; then
ac_top_srcdir=.
else
ac_top_srcdir=`echo $ac_dots | sed 's,/$,,'`
fi ;;
[\\/]* | ?:[\\/]* )
ac_srcdir=$srcdir$ac_dir_suffix;
ac_top_srcdir=$srcdir ;;
*) # Relative path.
ac_srcdir=$ac_dots$srcdir$ac_dir_suffix
ac_top_srcdir=$ac_dots$srcdir ;;
esac
case $INSTALL in
[\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
*) ac_INSTALL=$ac_dots$INSTALL ;;
esac
if test x"$ac_file" != x-; then
{ echo "$as_me:10921: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
# Let's still pretend it is `configure' which instantiates (i.e., don't
# use $as_me), people would be surprised to read:
# /* config.h. Generated automatically by config.status. */
configure_input="Generated automatically from `echo $ac_file_in |
sed 's,.*/,,'` by configure."
# First look for the input files in the build tree, otherwise in the
# src tree.
ac_file_inputs=`IFS=:
for f in $ac_file_in; do
case $f in
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:10939: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
*) # Relative
if test -f "$f"; then
# Build tree
echo $f
elif test -f "$srcdir/$f"; then
# Source tree
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:10952: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
esac
done` || { (exit 1); exit 1; }
sed "/^[ ]*VPATH[ ]*=/{
s/:*\$(srcdir):*/:/;
s/:*\${srcdir}:*/:/;
s/:*@srcdir@:*/:/;
s/^\([^=]*=[ ]*\):*/\1/;
s/:*$//;
s/^[^=]*=[ ]*$//;
}
:t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s,@configure_input@,$configure_input,;t t
s,@srcdir@,$ac_srcdir,;t t
s,@top_srcdir@,$ac_top_srcdir,;t t
s,@INSTALL@,$ac_INSTALL,;t t
" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
rm -f $tmp/stdin
if test x"$ac_file" != x-; then
mv $tmp/out $ac_file
else
cat $tmp/out
rm -f $tmp/out
fi
done
#
# CONFIG_HEADER section.
#
# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
# NAME is the cpp macro being defined and VALUE is the value it is being given.
#
# ac_d sets the value in "#define NAME VALUE" lines.
ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
ac_dB='[ ].*$,\1#\2'
ac_dC=' '
ac_dD=',;t'
# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
ac_uB='$,\1#\2define\3'
ac_uC=' '
ac_uD=',;t'
for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
# Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
case $ac_file in
- | *:- | *:-:* ) # input from stdin
cat >$tmp/stdin
ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
*:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
* ) ac_file_in=$ac_file.in ;;
esac
test x"$ac_file" != x- && { echo "$as_me:11013: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the
# src tree.
ac_file_inputs=`IFS=:
for f in $ac_file_in; do
case $f in
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:11024: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
*) # Relative
if test -f "$f"; then
# Build tree
echo $f
elif test -f "$srcdir/$f"; then
# Source tree
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:11037: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
esac
done` || { (exit 1); exit 1; }
# Remove the trailing spaces.
sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
# Handle all the #define templates only if necessary.
if egrep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
# If there are no defines, we may have an empty if/fi
:
cat >$tmp/defines.sed <<CEOF
/^[ ]*#[ ]*define/!b
t clr
: clr
${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"soup"${ac_dD}
${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.7.4"${ac_dD}
${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_ALLOCA${ac_dB}HAVE_ALLOCA${ac_dC}1${ac_dD}
${ac_dA}HAVE_POPT_H${ac_dB}HAVE_POPT_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_NETINET_IN_H${ac_dB}HAVE_NETINET_IN_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_NETINET_TCP_H${ac_dB}HAVE_NETINET_TCP_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_SOCKET_H${ac_dB}HAVE_SYS_SOCKET_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_SOCKIO_H${ac_dB}HAVE_SYS_SOCKIO_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_POLL_H${ac_dB}HAVE_SYS_POLL_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_PARAM_H${ac_dB}HAVE_SYS_PARAM_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_WAIT_H${ac_dB}HAVE_SYS_WAIT_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_IOCTL_H${ac_dB}HAVE_SYS_IOCTL_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_FILIO_H${ac_dB}HAVE_SYS_FILIO_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_INET_PTON${ac_dB}HAVE_INET_PTON${ac_dC}1${ac_dD}
${ac_dA}HAVE_INET_ATON${ac_dB}HAVE_INET_ATON${ac_dC}1${ac_dD}
${ac_dA}HAVE_GETHOSTBYNAME_R_GLIB_MUTEX${ac_dB}HAVE_GETHOSTBYNAME_R_GLIB_MUTEX${ac_dC}1${ac_dD}
${ac_dA}SSL_PROXY_NAME${ac_dB}SSL_PROXY_NAME${ac_dC}"soup-ssl-proxy"${ac_dD}
${ac_dA}HAVE_OPENSSL_SSL_H${ac_dB}HAVE_OPENSSL_SSL_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_OPENSSL_ERR_H${ac_dB}HAVE_OPENSSL_ERR_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_OPENSSL${ac_dB}HAVE_OPENSSL${ac_dC}1${ac_dD}
${ac_dA}ALIGNOF_GBOOLEAN${ac_dB}ALIGNOF_GBOOLEAN${ac_dC}4${ac_dD}
${ac_dA}ALIGNOF_GCHAR${ac_dB}ALIGNOF_GCHAR${ac_dC}1${ac_dD}
${ac_dA}ALIGNOF_GUCHAR${ac_dB}ALIGNOF_GUCHAR${ac_dC}1${ac_dD}
${ac_dA}ALIGNOF_GINT${ac_dB}ALIGNOF_GINT${ac_dC}4${ac_dD}
${ac_dA}ALIGNOF_GUINT${ac_dB}ALIGNOF_GUINT${ac_dC}4${ac_dD}
${ac_dA}ALIGNOF_GSHORT${ac_dB}ALIGNOF_GSHORT${ac_dC}2${ac_dD}
${ac_dA}ALIGNOF_GUSHORT${ac_dB}ALIGNOF_GUSHORT${ac_dC}2${ac_dD}
${ac_dA}ALIGNOF_GLONG${ac_dB}ALIGNOF_GLONG${ac_dC}4${ac_dD}
${ac_dA}ALIGNOF_GULONG${ac_dB}ALIGNOF_GULONG${ac_dC}4${ac_dD}
${ac_dA}ALIGNOF_GINT8${ac_dB}ALIGNOF_GINT8${ac_dC}1${ac_dD}
${ac_dA}ALIGNOF_GUINT8${ac_dB}ALIGNOF_GUINT8${ac_dC}1${ac_dD}
${ac_dA}ALIGNOF_GINT16${ac_dB}ALIGNOF_GINT16${ac_dC}2${ac_dD}
${ac_dA}ALIGNOF_GUINT16${ac_dB}ALIGNOF_GUINT16${ac_dC}2${ac_dD}
${ac_dA}ALIGNOF_GINT32${ac_dB}ALIGNOF_GINT32${ac_dC}4${ac_dD}
${ac_dA}ALIGNOF_GUINT32${ac_dB}ALIGNOF_GUINT32${ac_dC}4${ac_dD}
CEOF
sed -f $tmp/defines.sed $tmp/in >$tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
cat >$tmp/defines.sed <<CEOF
/^[ ]*#[ ]*define/!b
t clr
: clr
${ac_dA}ALIGNOF_GFLOAT${ac_dB}ALIGNOF_GFLOAT${ac_dC}4${ac_dD}
${ac_dA}ALIGNOF_GDOUBLE${ac_dB}ALIGNOF_GDOUBLE${ac_dC}4${ac_dD}
${ac_dA}ALIGNOF_GPOINTER${ac_dB}ALIGNOF_GPOINTER${ac_dC}4${ac_dD}
${ac_dA}ALIGNOF_GSTRUCT${ac_dB}ALIGNOF_GSTRUCT${ac_dC}1${ac_dD}
CEOF
sed -f $tmp/defines.sed $tmp/in >$tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
fi # egrep
# Handle all the #undef templates
cat >$tmp/undefs.sed <<CEOF
/^[ ]*#[ ]*undef/!b
t clr
: clr
${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"soup"${ac_uD}
${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.7.4"${ac_uD}
${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_ALLOCA${ac_uB}HAVE_ALLOCA${ac_uC}1${ac_uD}
${ac_uA}HAVE_POPT_H${ac_uB}HAVE_POPT_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_NETINET_IN_H${ac_uB}HAVE_NETINET_IN_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_NETINET_TCP_H${ac_uB}HAVE_NETINET_TCP_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_SOCKET_H${ac_uB}HAVE_SYS_SOCKET_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_SOCKIO_H${ac_uB}HAVE_SYS_SOCKIO_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_POLL_H${ac_uB}HAVE_SYS_POLL_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_PARAM_H${ac_uB}HAVE_SYS_PARAM_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_WAIT_H${ac_uB}HAVE_SYS_WAIT_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_IOCTL_H${ac_uB}HAVE_SYS_IOCTL_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_FILIO_H${ac_uB}HAVE_SYS_FILIO_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_INET_PTON${ac_uB}HAVE_INET_PTON${ac_uC}1${ac_uD}
${ac_uA}HAVE_INET_ATON${ac_uB}HAVE_INET_ATON${ac_uC}1${ac_uD}
${ac_uA}HAVE_GETHOSTBYNAME_R_GLIB_MUTEX${ac_uB}HAVE_GETHOSTBYNAME_R_GLIB_MUTEX${ac_uC}1${ac_uD}
${ac_uA}SSL_PROXY_NAME${ac_uB}SSL_PROXY_NAME${ac_uC}"soup-ssl-proxy"${ac_uD}
${ac_uA}HAVE_OPENSSL_SSL_H${ac_uB}HAVE_OPENSSL_SSL_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_OPENSSL_ERR_H${ac_uB}HAVE_OPENSSL_ERR_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_OPENSSL${ac_uB}HAVE_OPENSSL${ac_uC}1${ac_uD}
${ac_uA}ALIGNOF_GBOOLEAN${ac_uB}ALIGNOF_GBOOLEAN${ac_uC}4${ac_uD}
${ac_uA}ALIGNOF_GCHAR${ac_uB}ALIGNOF_GCHAR${ac_uC}1${ac_uD}
${ac_uA}ALIGNOF_GUCHAR${ac_uB}ALIGNOF_GUCHAR${ac_uC}1${ac_uD}
${ac_uA}ALIGNOF_GINT${ac_uB}ALIGNOF_GINT${ac_uC}4${ac_uD}
${ac_uA}ALIGNOF_GUINT${ac_uB}ALIGNOF_GUINT${ac_uC}4${ac_uD}
${ac_uA}ALIGNOF_GSHORT${ac_uB}ALIGNOF_GSHORT${ac_uC}2${ac_uD}
${ac_uA}ALIGNOF_GUSHORT${ac_uB}ALIGNOF_GUSHORT${ac_uC}2${ac_uD}
${ac_uA}ALIGNOF_GLONG${ac_uB}ALIGNOF_GLONG${ac_uC}4${ac_uD}
${ac_uA}ALIGNOF_GULONG${ac_uB}ALIGNOF_GULONG${ac_uC}4${ac_uD}
${ac_uA}ALIGNOF_GINT8${ac_uB}ALIGNOF_GINT8${ac_uC}1${ac_uD}
${ac_uA}ALIGNOF_GUINT8${ac_uB}ALIGNOF_GUINT8${ac_uC}1${ac_uD}
${ac_uA}ALIGNOF_GINT16${ac_uB}ALIGNOF_GINT16${ac_uC}2${ac_uD}
${ac_uA}ALIGNOF_GUINT16${ac_uB}ALIGNOF_GUINT16${ac_uC}2${ac_uD}
${ac_uA}ALIGNOF_GINT32${ac_uB}ALIGNOF_GINT32${ac_uC}4${ac_uD}
${ac_uA}ALIGNOF_GUINT32${ac_uB}ALIGNOF_GUINT32${ac_uC}4${ac_uD}
CEOF
sed -f $tmp/undefs.sed $tmp/in >$tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
cat >$tmp/undefs.sed <<CEOF
/^[ ]*#[ ]*undef/!b
t clr
: clr
${ac_uA}ALIGNOF_GFLOAT${ac_uB}ALIGNOF_GFLOAT${ac_uC}4${ac_uD}
${ac_uA}ALIGNOF_GDOUBLE${ac_uB}ALIGNOF_GDOUBLE${ac_uC}4${ac_uD}
${ac_uA}ALIGNOF_GPOINTER${ac_uB}ALIGNOF_GPOINTER${ac_uC}4${ac_uD}
${ac_uA}ALIGNOF_GSTRUCT${ac_uB}ALIGNOF_GSTRUCT${ac_uC}1${ac_uD}
s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
CEOF
sed -f $tmp/undefs.sed $tmp/in >$tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
# Let's still pretend it is `configure' which instantiates (i.e., don't
# use $as_me), people would be surprised to read:
# /* config.h. Generated automatically by config.status. */
if test x"$ac_file" = x-; then
echo "/* Generated automatically by configure. */" >$tmp/config.h
else
echo "/* $ac_file. Generated automatically by configure. */" >$tmp/config.h
fi
cat $tmp/in >>$tmp/config.h
rm -f $tmp/in
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
{ echo "$as_me:11154: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
X"$ac_file" : 'X\(//\)[^/]' \| \
X"$ac_file" : 'X\(//\)$' \| \
X"$ac_file" : 'X\(/\)' \| \
. : '\(.\)' 2>/dev/null ||
echo X"$ac_file" |
sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
/^X\(\/\/\)[^/].*/{ s//\1/; q; }
/^X\(\/\/\)$/{ s//\1/; q; }
/^X\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`
if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
{ case "$ac_dir" in
[\\/]* | ?:[\\/]* ) as_incr_dir=;;
*) as_incr_dir=.;;
esac
as_dummy="$ac_dir"
for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
case $as_mkdir_dir in
# Skip DOS drivespec
?:) as_incr_dir=$as_mkdir_dir ;;
*)
as_incr_dir=$as_incr_dir/$as_mkdir_dir
test -d "$as_incr_dir" || mkdir "$as_incr_dir"
;;
esac
done; }
fi
rm -f $ac_file
mv $tmp/config.h $ac_file
fi
else
cat $tmp/config.h
rm -f $tmp/config.h
fi
done
#
# CONFIG_COMMANDS section.
#
for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
case $ac_dest in
default-1 ) test -z "$CONFIG_HEADERS" || echo timestamp > stamp-h ;;
esac
done
{ (exit 0); exit 0; }
home |
help
Want to link to this message? Use this
URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?20021112182043.GA56198>
